topdir=`pwd`
if test -f setup.sh; then 

NORDUGRID_LOCATION=$topdir
GLOBUS_LOCATION=$topdir
GRID_SECURITY_DIR=$GLOBUS_LOCATION/etc
X509_CERT_DIR=$GLOBUS_LOCATION/share/certificates
export PYTHONPATH
export NORDUGRID_LOCATION
export GLOBUS_LOCATION
export GRID_SECURITY_DIR
export X509_CERT_DIR
. $GLOBUS_LOCATION/etc/globus-user-env.sh

DELIM=
if test -n "$PYTHONPATH"
then
    DELIM=:
fi
if test -r $NORDUGRID_LOCATION/lib*/python*/site-packages/_arclib.so
then
  export PYTHONPATH=`dirname $NORDUGRID_LOCATION/lib*/python*/site-packages/_arclib.so`${DELIM}${PYTHONPATH}
fi

if test ! -f $topdir/ng-installed; then
  $topdir/bin/ng-finalize-setup
  touch $topdir/ng-installed
fi

else
  echo Please execute from the same directory where setup.sh is residing.

fi

